VERSION 1.0 CLASS
BEGIN
  MultiUse = -1  'True
  Persistable = 0  'NotPersistable
  DataBindingBehavior = 0  'vbNone
  DataSourceBehavior  = 0  'vbNone
  MTSTransactionMode  = 0  'NotAnMTSObject
END
Attribute VB_Name = "MemoryTimer"
Attribute VB_GlobalNameSpace = False
Attribute VB_Creatable = True
Attribute VB_PredeclaredId = False
Attribute VB_Exposed = True
Option Explicit
Option Compare Text

Private blEnabled As Boolean
Private lngTimerID As Long
Private lngInterval As Long

Public Event Timer()

Public Property Let Interval(Value As Long)
    lngInterval = Value
End Property

Public Property Get Interval() As Long
    Interval = lngInterval
End Property

Public Property Let Enabled(Value As Boolean)
    If Value = False Then
        StopTimer
    Else
        StartTimer
    End If
End Property

Public Property Get Enabled() As Boolean
    Enabled = blEnabled
End Property

Private Function StartTimer() As Boolean
    If Not blEnabled Then
        lngTimerID = TimerStart(Me, lngInterval)
        If lngTimerID = 0 Then
          Err.Raise 60000 + vbObjectError, "clsTimer", "Could not start Timer"
        End If
        blEnabled = True
    End If
    StartTimer = True
End Function

Private Function StopTimer() As Boolean
    If blEnabled Then
        lngTimerID = TimerStop
        If lngTimerID = 0 Then
          Err.Raise 60001 + vbObjectError, "clsTimer", "Could not stop Timer"
        End If
        blEnabled = False
    End If
    StopTimer = False
End Function

Friend Function RaiseTimerEvent()
   RaiseEvent Timer
End Function

Private Sub Class_Terminate()
    TimerStop
End Sub
