Attribute VB_Name = "basMemoryTimer"
Option Explicit
Option Compare Text

Private objTimer As MemoryTimer
Private lngTimerID As Long

Declare Function SetTimer Lib "user32" (ByVal hwnd As Long, ByVal nIDEvent As Long, ByVal uElapse As Long, ByVal lpTimerFunc As Long) As Long
Declare Function KillTimer Lib "user32" (ByVal hwnd As Long, ByVal nIDEvent As Long) As Long

Public Sub TimerCallBack(ByVal hwnd As Long, ByVal uMsg As Long, ByVal idEvent As Long, ByVal dwTime As Long)
   objTimer.RaiseTimerEvent
End Sub

Public Function TimerStart(ByRef oTmr As MemoryTimer, lngInterval As Long) As Long
    Set objTimer = oTmr
    lngTimerID = SetTimer(0, 0, lngInterval, AddressOf TimerCallBack)
    TimerStart = lngTimerID
End Function

Public Function TimerStop() As Long
    TimerStop = KillTimer(0, lngTimerID)
    Set objTimer = Nothing
End Function
