VERSION 1.0 CLASS
BEGIN
  MultiUse = -1  'True
  Persistable = 1  'Persistable
  DataBindingBehavior = 0  'vbNone
  DataSourceBehavior  = 0  'vbNone
  MTSTransactionMode  = 0  'NotAnMTSObject
END
Attribute VB_Name = "Speedometer"
Attribute VB_GlobalNameSpace = False
Attribute VB_Creatable = True
Attribute VB_PredeclaredId = False
Attribute VB_Exposed = True
Option Explicit
Option Compare Text

Private c_LastKeyType As String
Private WithEvents c_Timer As MemoryTimer
Attribute c_Timer.VB_VarHelpID = -1

Public Event SystemWideKeyPress()

Private Sub c_Timer_Timer()
    
    'Get the current keystroke
    Dim strKeystroke As String
    strKeystroke = GetKeyStroke(False, True)
    If strKeystroke = vbNullString Then Exit Sub
    
    'Determine the type of key last pressed
    If Len(strKeystroke) = 1 Then
        Select Case Asc(strKeystroke)
            Case 33 To 126, 161 To 255
                c_LastKeyType = "char"
            Case 10, 13, 32
                c_LastKeyType = "separator"
            Case Else
                Exit Sub
        End Select
    ElseIf strKeystroke = "[Return]" Then
        c_LastKeyType = "separator"
    ElseIf strKeystroke = "[Backspace]" Then
        c_LastKeyType = "backspace"
    Else
        Exit Sub
    End If
    
    'Raise an event to let the widget know a key was pressed
    RaiseEvent SystemWideKeyPress
    
End Sub

Private Sub Class_Initialize()
    
    c_LastKeyType = vbNullString
    
    Set c_Timer = New MemoryTimer
    c_Timer.Interval = 50
    c_Timer.Enabled = True
    
End Sub

Public Property Get LastKeyType() As String
    LastKeyType = c_LastKeyType
End Property

Public Sub StartCounting()
    
    c_Timer.Enabled = True
    
End Sub

Public Sub StopCounting()
    
    c_Timer.Enabled = False
    
End Sub
