Attribute VB_Name = "basCommandLine"
Option Explicit
Option Compare Text

Public CommandLineArguments()

Public Function GetCommandLine(Optional MaxArguments)
    
    Dim InArgument As Boolean
    Dim TempCharacter As String
    Dim CommandLine As String
    Dim ArgumentCount As Long
    Dim X
    
    If IsMissing(MaxArguments) Then MaxArguments = 10
    ReDim Arguments(MaxArguments)
    ArgumentCount = 0
    InArgument = False
    CommandLine = Command()
    For X = 1 To Len(CommandLine)
        TempCharacter = Mid(CommandLine, X, 1)
        If (TempCharacter <> " " And TempCharacter <> vbTab) Then
            If Not InArgument Then
                If ArgumentCount = MaxArguments Then Exit For
                ArgumentCount = ArgumentCount + 1
                InArgument = True
            End If
            Arguments(ArgumentCount) = Arguments(ArgumentCount) & TempCharacter
        Else
            InArgument = False
        End If
    Next X
    ReDim Preserve Arguments(ArgumentCount)
    CommandLineArguments = Arguments()
    
End Function
